API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

PATCH
/applications/{uuid}

Update application by UUID.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

UUID of the application.

Request Body

application/json

Application updated.

TypeScript Definitions

Use the request body type in TypeScript.

project_uuid?string

The project UUID.

server_uuid?string

The server UUID.

environment_name?string

The environment name.

github_app_uuid?string

The Github App UUID.

git_repository?string

The git repository URL.

git_branch?string

The git branch.

ports_exposes?string

The ports to expose.

destination_uuid?string

The destination UUID.

build_pack?string

The build pack type.

Value in"nixpacks" | "railpack" | "static" | "dockerfile" | "dockercompose"
name?string

The application name.

description?string

The application description.

domains?string

The application URLs in a comma-separated list.

noindex_domains?array<string>

The subset of the application domains served with an X-Robots-Tag: noindex, nofollow response header, keeping them out of search engines. Entries that are not among the application domains are ignored.

git_commit_sha?string

The git commit SHA.

docker_registry_image_name?string

The docker registry image name.

docker_registry_image_tag?string

The docker registry image tag.

is_static?boolean

The flag to indicate if the application is static.

is_spa?boolean

The flag to indicate if the application is a single-page application (SPA). Only relevant when is_static is true.

is_auto_deploy_enabled?boolean

The flag to indicate if auto-deploy is enabled on git push. Defaults to true.

is_force_https_enabled?boolean

The flag to indicate if HTTPS is forced. Defaults to true.

is_preview_deployments_enabled?boolean

Enable preview deployments for pull requests.

install_command?string

The install command.

build_command?string

The build command.

start_command?string

The start command.

ports_mappings?string

The ports mappings.

base_directory?string

The base directory for all commands.

publish_directory?string

The publish directory.

health_check_enabled?boolean

Health check enabled.

health_check_path?string

Health check path.

health_check_port?string

Health check port.

health_check_host?string

Health check host.

health_check_method?string

Health check method.

health_check_return_code?integer

Health check return code.

health_check_scheme?string

Health check scheme.

health_check_response_text?string

Health check response text.

health_check_interval?integer

Health check interval in seconds.

health_check_timeout?integer

Health check timeout in seconds.

health_check_retries?integer

Health check retries count.

health_check_start_period?integer

Health check start period in seconds.

limits_memory?string

Memory limit.

limits_memory_swap?string

Memory swap limit.

limits_memory_swappiness?integer

Memory swappiness.

limits_memory_reservation?string

Memory reservation.

limits_cpus?string

CPU limit.

limits_cpuset?string

CPU set.

limits_cpu_shares?integer

CPU shares.

custom_labels?string

Custom labels.

custom_docker_run_options?string

Custom docker run options.

post_deployment_command?string

Post deployment command.

post_deployment_command_container?string

Post deployment command container.

pre_deployment_command?string

Pre deployment command.

pre_deployment_command_container?string

Pre deployment command container.

manual_webhook_secret_github?string

Manual webhook secret for Github.

manual_webhook_secret_gitlab?string

Manual webhook secret for Gitlab.

manual_webhook_secret_bitbucket?string

Manual webhook secret for Bitbucket.

manual_webhook_secret_gitea?string

Manual webhook secret for Gitea.

redirect?string

How to set redirect with Traefik / Caddy. www<->non-www.

Value in"www" | "non-www" | "both"
instant_deploy?boolean

The flag to indicate if the application should be deployed instantly.

dockerfile?string

The Dockerfile content.

dockerfile_location?string

The Dockerfile location in the repository.

docker_compose_location?string

The Docker Compose location.

docker_compose_custom_start_command?string

The Docker Compose custom start command.

docker_compose_custom_build_command?string

The Docker Compose custom build command.

docker_compose_domains?array<>

Array of URLs to be applied to containers of a dockercompose application.

watch_paths?string

The watch paths.

use_build_server?boolean

Use build server.

use_build_secrets?boolean

Use Docker Build Secrets for build-time environment variables.

is_git_submodules_enabled?boolean

Clone Git submodules.

is_git_lfs_enabled?boolean

Enable Git LFS.

is_git_shallow_clone_enabled?boolean

Use a shallow Git clone.

disable_build_cache?boolean

Disable the build cache.

inject_build_args_to_dockerfile?boolean

Inject build arguments into the Dockerfile build.

include_source_commit_in_build?boolean

Include the source commit in the build.

is_env_sorting_enabled?boolean

Sort environment variables.

is_pr_deployments_public_enabled?boolean

Make pull request deployments public.

stop_grace_period?integer

Container stop grace period in seconds.

Range1 <= value <= 3600
docker_images_to_keep?integer

Number of Docker images to retain.

Range0 <= value <= 100
is_gzip_enabled?boolean

Enable gzip compression.

is_stripprefix_enabled?boolean

Enable path prefix stripping.

is_raw_compose_deployment_enabled?boolean

Deploy the raw Docker Compose definition.

is_log_drain_enabled?boolean

Enable log drain for the application.

is_gpu_enabled?boolean

Enable GPU support.

gpu_driver?string

GPU driver name.

gpu_count?string

Number of GPUs to allocate.

gpu_device_ids?string

Comma-separated GPU device IDs.

gpu_options?string

Additional GPU options.

is_consistent_container_name_enabled?boolean

Use a consistent container name across deployments.

custom_internal_name?string

Custom internal container name.

preview_url_template?string

Preview URL template.

max_restart_count?integer

Maximum container restart count before stopping.

Range0 <= value
connect_to_docker_network?boolean

The flag to connect the service to the predefined Docker network.

force_domain_override?boolean

Force domain usage even if conflicts are detected. Default is false.

is_container_label_escape_enabled?boolean

Escape special characters in labels. By default, $ (and other chars) is escaped. So if you write $ in the labels, it will be saved as $$. If you want to use env variables inside the labels, turn this off.

Defaulttrue
is_preserve_repository_enabled?boolean

Preserve git repository during application update. If false, the existing repository will be removed and replaced with the new one. If true, the existing repository will be kept and the new one will be ignored. Default is false.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.coolify.io/api/v1/applications/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "uuid": "string"}
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}
{  "message": "Domain conflicts detected. Use force_domain_override=true to proceed.",  "warning": "Using the same domain for multiple resources can cause routing conflicts and unpredictable behavior.",  "conflicts": [    {      "domain": "example.com",      "resource_name": "My Application",      "resource_uuid": "abc123-def456",      "resource_type": "application",      "message": "Domain example.com is already in use by application 'My Application'"    }  ]}